// Copyright 2024 The Go Authors. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.

/*
Microsoft Go only package.

TLS 1.3 Key Schedule is normally not part of the FIPS boundary, but upstream Go
decided to include it in the FIPS boundary to facilitate the FIPS 140-3 certification
process.

The problem is that crypto/internal/fips140/tls13 uses crypto/internal/fips140/hkdf,
which can't be patched to use other backends.

To solve this problem, we created this package, which is a direct copy of
crypto/internal/fips140/tls13, but uses crypto/hkdf instead of crypto/internal/fips140/hkdf.
*/
package tls13
